%define upstream_name    Tie-Watch
%define upstream_version 1.301

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Place watchpoints on Perl variables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module binds one or more subroutines of your devising to a Perl variable.
With Tie::Watch one can:
- alter a variable's value
- prevent a variable's value from being changed
- invoke a Perl/Tk callback when a variable changes
- trace references to a variable

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
%makeinstall_std

%files
%doc META.yml README examples
%{_mandir}/*/*
%{perl_vendorlib}/Tie/


%changelog

* Tue Jan 15 2013 sander85 <sander85> 1.301.0-2.mga3
+ Revision: 388265
- Fix URL

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 jquelin <jquelin> 1.301.0-1.mga1
+ Revision: 60777
- update to 1.301

* Thu Jan 13 2011 jquelin <jquelin> 1.2-5.mga1
+ Revision: 15524
- imported package perl-Tie-Watch

